tracker-export(1)

NAME
tracker-export - Export all data from a Tracker database.

SYNOPSIS
tracker export [options...]

DESCRIPTION
tracker export exports all data stored in a Tracker database, in Turtle format. The output is intended to be machine-readable, not human readable. Use a tool such as rapper(1) to convert the data to different formats.

OPTIONS

-g, --show-graphs
    This flag causes the relevant GRAPH statements to be output along with the data. In this mode the output is TriG syntax rather than Turtle, due to the extra GRAPH statements. Some tools which understand Turtle do not understand TriG.

-t, --type=<TYPE>
    Used for exporting a specific type of user data from a Tracker database. The possible TYPE options are:

    files-starred - Export starred files (as created by GNOME Files)

    photos-albums - Export photo albums (as created by GNOME Photos)

    photos-favorites - Export starred photos (as created by GNOME Photos)

EXAMPLES

Export all data from Tracker Index and prettify the output using rapper(1).
    $ tracker export -b org.freedesktop.Tracker1.Miner.Files | rapper - -I . -i turtle -o turtle

SEE ALSO
tracker-import(1), tracker-sparql(1).